From 614ab58e2636111ff4a93c5ef1ef3654c7dc5fef Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 22 Apr 2025 13:39:05 +1000
Subject: [PATCH v3] DOCS - pg_walsummary. Change 'file' to 'filename' and add
 the missing option description for it.

---
 doc/src/sgml/ref/pg_walsummary.sgml | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/ref/pg_walsummary.sgml b/doc/src/sgml/ref/pg_walsummary.sgml
index 5ffe07d..0fd9dbf 100644
--- a/doc/src/sgml/ref/pg_walsummary.sgml
+++ b/doc/src/sgml/ref/pg_walsummary.sgml
@@ -23,7 +23,7 @@ PostgreSQL documentation
   <cmdsynopsis>
    <command>pg_walsummary</command>
    <arg rep="repeat" choice="opt"><replaceable>option</replaceable></arg>
-   <arg rep="repeat"><replaceable>file</replaceable></arg>
+   <arg rep="repeat"><replaceable>filename</replaceable></arg>
   </cmdsynopsis>
  </refsynopsisdiv>
 
@@ -57,6 +57,16 @@ PostgreSQL documentation
    <para>
     <variablelist>
      <varlistentry>
+      <term><replaceable class="parameter">filename</replaceable></term>
+      <listitem>
+       <para>
+        A binary WAL summary file, found within the <literal>pg_wal/summaries</literal>
+        subdirectory of the data directory.
+       </para>
+      </listitem>
+     </varlistentry>
+
+     <varlistentry>
       <term><option>-i</option></term>
       <term><option>--individual</option></term>
       <listitem>
-- 
1.8.3.1

